### Method

# Foundry GitVcs query_config

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_vcs_query_config (
      FoundryGitVcs* self,
      const char* key
    )

#### Description [src]

Queries a git configuration value by key from the repository.

The method runs asynchronously in a background thread and returns a `DexFuture` that resolves to the config value as a string.

Available since: 1.1

#### Parameters

`key`

  Type: `const char*`

  The config key to query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string containing the config value, or rejects with an error if the key is not found or an error occurs.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.